osl::move_probability::FromEffectLong Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::FromEffectLong:

## Public Member Functions

| FromEffectLong ()
double | match (const StateInfo &state_info, const MoveInfo &info, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 406 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## FromEffectLong()

osl::move_probability::FromEffectLong::FromEffectLong | ( |  | ) |

inline

Definition at line 409 of file move_probability/feature.h.

References osl::move_probability::Feature::Feature(), and osl::PTYPE_SIZE.

## Member Function Documentation

## match()

double osl::move_probability::FromEffectLong::match | ( | const StateInfo & | state_info,
|  | const MoveInfo & | info,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 412 of file move_probability/feature.h.

References osl::alt(), osl::BISHOP, osl::move_probability::Feature::dimension(), osl::Move::from(), osl::Move::isDrop(), osl::LANCE, osl::NumEffectState::longEffectAt(), osl::move_probability::MoveInfo::move, osl::Move::oldPtype(), osl::move_probability::MoveInfo::player, osl::ROOK, and osl::move_probability::StateInfo::state.

The documentation for this class was generated from the following file:

- move_probability/feature.h